Index: lib/style/common/templates/metacatui/entryForm.tmpl
===================================================================
--- lib/style/common/templates/metacatui/entryForm.tmpl	(revision 7904)
+++ lib/style/common/templates/metacatui/entryForm.tmpl	(revision 7905)
@@ -492,57 +492,62 @@
 									</div>
 								</div>
 								
-								<!-- the orginal table -->
-								<table>
-								 [% numKey = 0 %]
-								 [% IF keyCount %]
-								   [% numKey = keyCount %]
-								        [% numAO = aoCount %]
-								        <tr class="sectbody" id="keywordHRRow">
-								            <td colSpan="6">
-								                <hr width = "85%"/>
-								            </td>
-								        </tr>
-								 [% END %]
-								 <input type="hidden" name="keyCount" value="[%numKey%]" 
-								            id="keyCount">
-								   
-								      [% cnt = 1 %]
-								        [% WHILE cnt < numKey %]
-								        
-								           <tr class="sectbody">
-								            <td class="rightCol">
-								                <a style="cursor:pointer">
-								                    <img onClick="cleanTextNodes('keywordHRRow', 'addkeyrow');moveUpRow(event)"
-								                    src="[% contextUrl %]/style/images/previous.gif"
-								                    alt="Move Up" border="0"/>
-								                </a>
-								                <a style="cursor:pointer">
-								                    <img onClick="cleanTextNodes('keywordHRRow', 'addkeyrow');moveDownRow(event, 'addkeyrow')"
-								                    src="[% contextUrl %]/style/images/next.gif"
-								                    alt="Move Down" border="0"/>
-								                </a>
-								                <a style="cursor:pointer">
-								                    <img src="[% contextUrl %]/style/images/delete.gif"
-								                    onClick="delRow(event)" alt="Delete" border="0"/>
-								                </a>
-								            </td>
-								            [% SET keyword = "keyword${cnt}" %]
-								            [% SET keywordType = "kwType${cnt}" %]
-								            [% SET keywordTh = "kwTh${cnt}" %]
-								            <td colspan="5" align ="left" style="cursor:pointer"
-								                onClick="keywordEditRow(event, 0, '[%$keyword%]', '[%$keywordType%]' , '[%$keywordTh%]')">
-								                [%$keyword%] (Type: [%$keywordType%], Thesaurus: [%$keywordTh%])
-								                <input name="keyword" type="hidden" value="[%$keyword%]"/>
-								                <input name="keywordType" type="hidden" value="[%$keywordType%]"/>
-								                <input name="keywordTh" type="hidden" value="[%$keywordTh%]"/>
-								            </td>
-								        </tr>
-								        [% cnt = cnt + 1 %]
-								       [% END %]
-								        <tr class="sectbody" id="addkeyrow"><td colspan=6 /></tr>
-								       </table>
-								
+								<div class="control-group">
+									<label class="control-label" for="keywordTable">More?</label>
+									<div class="controls">
+										<!-- the orginal table -->
+										<table>
+										 [% numKey = 0 %]
+										 [% IF keyCount %]
+										   [% numKey = keyCount %]
+										        [% numAO = aoCount %]
+										        <tr class="sectbody" id="keywordHRRow">
+										            <td colSpan="6">
+										                <hr width = "85%"/>
+										            </td>
+										        </tr>
+										 [% END %]
+										 <input type="hidden" name="keyCount" value="[%numKey%]" 
+										            id="keyCount">
+										   
+										      [% cnt = 1 %]
+										        [% WHILE cnt < numKey %]
+										        
+										           <tr class="sectbody">
+										            <td class="rightCol">
+										                <a style="cursor:pointer">
+										                    <img onClick="cleanTextNodes('keywordHRRow', 'addkeyrow');moveUpRow(event)"
+										                    src="[% contextUrl %]/style/images/previous.gif"
+										                    alt="Move Up" border="0"/>
+										                </a>
+										                <a style="cursor:pointer">
+										                    <img onClick="cleanTextNodes('keywordHRRow', 'addkeyrow');moveDownRow(event, 'addkeyrow')"
+										                    src="[% contextUrl %]/style/images/next.gif"
+										                    alt="Move Down" border="0"/>
+										                </a>
+										                <a style="cursor:pointer">
+										                    <img src="[% contextUrl %]/style/images/delete.gif"
+										                    onClick="delRow(event)" alt="Delete" border="0"/>
+										                </a>
+										            </td>
+										            [% SET keyword = "keyword${cnt}" %]
+										            [% SET keywordType = "kwType${cnt}" %]
+										            [% SET keywordTh = "kwTh${cnt}" %]
+										            <td colspan="5" align ="left" style="cursor:pointer"
+										                onClick="keywordEditRow(event, 0, '[%$keyword%]', '[%$keywordType%]' , '[%$keywordTh%]')">
+										                [%$keyword%] (Type: [%$keywordType%], Thesaurus: [%$keywordTh%])
+										                <input name="keyword" type="hidden" value="[%$keyword%]"/>
+										                <input name="keywordType" type="hidden" value="[%$keywordType%]"/>
+										                <input name="keywordTh" type="hidden" value="[%$keywordTh%]"/>
+										            </td>
+										        </tr>
+										        [% cnt = cnt + 1 %]
+										       [% END %]
+											<tr class="sectbody" id="addkeyrow"><td colspan=6 /></tr>
+										</table>
+									</div>
+								</div>
+	
 						    </div>
 						</div>
 					[% END %]	
